#!/bin/sh
# RUN IN REPO ROOT DIR !!

export IMAGE_BASE="git.pbiernat.dev/egommerce/basket"
export SERVER_IMAGE="$IMAGE_BASE-svc"
export WORKER_IMAGE="$IMAGE_BASE-worker"

TARGET=${1:-latest}

echo $DOCKER_PASSWORD | docker login git.pbiernat.dev -u $DOCKER_USERNAME --password-stdin

docker push "$SERVER_IMAGE:$TARGET"
docker push "$WORKER_IMAGE:$TARGET"
